Displaying 6 results from an estimated 6 matches for "c37e060".
Did you mean:
370060
2018 Aug 12
0
[PATCH nbdkit 08/10] freebsd: In scripts use 'env bash' instead of '/bin/bash'.
...tests/test-nozero.sh
index 77fda0b..781b196 100755
--- a/tests/test-nozero.sh
+++ b/tests/test-nozero.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -
+#!/usr/bin/env bash
# nbdkit
# Copyright (C) 2018 Red Hat Inc.
# All rights reserved.
diff --git a/tests/test-offset2.sh b/tests/test-offset2.sh
index 78bb690..c37e060 100755
--- a/tests/test-offset2.sh
+++ b/tests/test-offset2.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -
+#!/usr/bin/env bash
# nbdkit
# Copyright (C) 2018 Red Hat Inc.
# All rights reserved.
diff --git a/tests/test-parallel-file.sh b/tests/test-parallel-file.sh
index d032bf7..fdc8a1b 100755
--- a/tests/te...
2018 Sep 13
0
[PATCH v2 nbdkit 4/5] tests: Use a generic cleanup mechanism instead of explicit trap.
...files
-
- exit $status
}
-trap cleanup INT QUIT TERM EXIT ERR
+cleanup_fn cleanup
# Run four parallel nbdkit; to compare the logs and see what changes.
# 1: unfiltered, to check that qemu-io sends ZERO request and plugin trims
diff --git a/tests/test-offset2.sh b/tests/test-offset2.sh
index c37e060..2376301 100755
--- a/tests/test-offset2.sh
+++ b/tests/test-offset2.sh
@@ -33,6 +33,7 @@
# Additional test of the offset filter using the pattern plugin.
+source ./functions.sh
set -e
set -x
@@ -69,16 +70,10 @@ pid="$(cat offset2.pid)"
# Kill the nbdkit process on exit.
cleanu...
2018 Sep 11
0
[PATCH nbdkit 4/4] tests: Add a helper function which waits for nbdkit to start up.
..."
+pid4="$(cat nozero4.pid)"
+pid5a="$(cat nozero5a.pid)"
+pid5b="$(cat nozero5b.pid)"
# Perform the zero write.
qemu-io -f raw -c 'w -z -u 0 1M' 'nbd+unix://?socket=nozero1.sock'
diff --git a/tests/test-offset2.sh b/tests/test-offset2.sh
index c37e060..ec1ad91 100755
--- a/tests/test-offset2.sh
+++ b/tests/test-offset2.sh
@@ -33,6 +33,7 @@
# Additional test of the offset filter using the pattern plugin.
+source functions.sh
set -e
set -x
@@ -47,23 +48,10 @@ fi
# Run nbdkit with pattern plugin and offset filter in front.
# 8070450532...
2018 Aug 12
13
[PATCH nbdkit 00/10] FreeBSD support.
With these patches, a majority of tests pass. The notable
things which are still broken:
- Because FreeBSD links /home -> /usr/home, $(pwd) gives a different
result from realpath(2). Therefore some tests which implicitly
rely on (eg) a plugin which calls nbdkit_realpath internally and
then checking that path against $(pwd) fail.
- Shebangs (#!) don't seem to work the same way
2018 Sep 11
7
[PATCH nbdkit 0/4] tests: Move common functions into tests/functions.sh
Combine much common code into tests/functions.sh.
Patch 1: Preparation for patch 3.
Patch 2: Fix a long-standing bug in how man pages links are generated.
Patch 3: Common code for iterating a test function over every plugin.
Patch 4: Common code for starting nbdkit in a test and waiting for the
PID file to appear. This is the largest and most complex of
the patches but is
2018 Sep 13
8
[PATCH v2 nbdkit 0/5] tests: Move common functions into tests/functions.sh
v1 was here:
https://www.redhat.com/archives/libguestfs/2018-September/msg00057.html
v2:
- Fix tab vs spaces in configure.ac.
- To generate list of plugins, use printf instead of xargs.
- Use 'source ./functions.sh' instead of 'source functions'.
- functions.sh: Consistent quoting in foreach_plugin function.
- functions.sh: Change the contract of start_nbdkit so it